Bug 506221 - Fedora 11 LiveCD doesn't work on a Dell Inspiron 1520 laptop
Fedora 11 LiveCD doesn't work on a Dell Inspiron 1520 laptop
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 02:36 EDT by Răzvan Sandu
Modified: 2010-04-19 05:47 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-19 05:47:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2009-06-16 02:36:21 EDT
Description of problem:

The official Fedora 11 LiveCD cannot be used on a Dell 1520 laptop, because the screen remains black - nothing shows up. Probably, that's a video driver issue.

The hardware configuration, obtained by smolt, is here:

http://www.smolts.org/client/show/pub_9d69eb22-c7a0-44ea-9e54-a49aa186b94c


How reproducible:


Steps to Reproduce:
1. Boot the Fedora 11 LiveCD on a Dell 1520 laptop
2. Observe results.
  
Actual results:
LCD screen remains black.

Expected results:
Graphical boot should perform normally; user should get the login screen or the automatic login, directly.
Comment 1 Matěj Cepl 2009-06-23 17:38:32 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Răzvan Sandu 2009-06-23 19:24:13 EDT
Hello,

I'll be pleased to provide the files you've requested, but I have no mean to collect them.

The screen is black immediately after booting the Live CD; there is no way to log in Fedora or type some command.

Could you please suggest a procedure to collect the desired data when running from Live CD ?

Regards,
Răzvan
Comment 3 Ben Skeggs 2009-06-23 19:31:10 EDT
Do you actually see the progress bar as it boots, or is the screen black immediately after leaving the grub menu?

It might be worth appending nouveau.modeset=1 to your boot options and seeing if you fare any better there.
Comment 4 Adam Williamson 2009-08-18 19:23:59 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Răzvan Sandu 2009-09-02 14:54:45 EDT
Sorry for the long delay, I was on vacation... ;-)

The progress bar stating "Fedora 11" on low right is present, then the screen becomes black and remains so...
Comment 6 Răzvan Sandu 2009-09-02 15:23:38 EDT
I've booted the LiveCD, chosen the "Boot" option, than pressed Tab to edit boot options. As instructed in comment #3, I've added the string "nouveau.modeset=1" to the end of the command line (after "rhgb"), then booted

First, the system says (in text mode) that the string "nouveau.modeset=1" is an invalid option, then the booting performs normally: the new Fedora 11 logo appears in the center of the screen, then Automatic Login, etc...

Best regards,
Răzvan
Comment 7 Răzvan Sandu 2009-09-02 15:25:10 EDT
BTW, the wireless is not recognized by LiveCD...
Comment 8 Skowroniasty 2009-10-02 06:13:52 EDT
I have this same problem with ASUS X51R
(http://www.smolts.org/client/show/pub_fe31b723-620f-48ad-b47d-5fdb264c34ae)

I try  add this string to boot options (nouveau.modeset=1), first system says, that the string "nouveau.modeset=1" is an invalid option,  next i can see the new Fedora 11 logo, and next ... LCD screen remains black with white horizontal belts, i can use mouse and touch pad,  but  i can't do  anything. 
special keys (CAPS, NUMLOCK and other) doesn't work.

I try install Fedora 11 from live cd, and DVD iso with this same result.

Can anyone help me ?
Comment 9 Skowroniasty 2009-10-02 07:32:29 EDT
Only way for install fedora on my notebook, is boot from official DVD iso and install  with basic graphic mode.  

after install, You have max screen resolution  1024x768.
Comment 10 Adam Williamson 2009-10-02 14:01:40 EDT
skowroniasty: you have a completely different bug. You don't even have an NVIDIA graphics card, you have an ATI Radeon Xpress 200M. Your bug is 522129, please don't post any more to this one.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Matěj Cepl 2009-11-05 13:32:14 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 12 Răzvan Sandu 2009-11-05 15:32:19 EST
Please see my observations in comment #6 - this is the current state oft things.

Regards,
Răzvan
Comment 13 Matěj Cepl 2009-11-08 16:20:38 EST
(In reply to comment #12)
> Please see my observations in comment #6 - this is the current state oft
> things.

Please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 14 Matěj Cepl 2010-02-26 07:14:23 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Note You need to log in before you can comment on or make changes to this bug.